@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Poppins:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700&display=swap");

*,
*::before,
*::after {
  box-sizing: border-box;
}

* {
  padding: 0;
  margin: 0;
}

body {
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
  font-family: "Inter", sans-serif;
  color: #151a2d;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Poppins", sans-serif;
}

h1 {
  font-weight: 700;
  font-size: 60px;
  line-height: 1.15;
}

h2 {
  font-weight: 600;
  font-size: 40px;
  line-height: 1.2;
}

h2 span {
  color: #8a38f5;
}

h3 {
  font-weight: 600;
  font-size: 34px;
  line-height: 1.2;
}

p {
  font-size: 20px;
}

main {
  margin-block: 124px;
}

section {
  padding-block: 124px;
}

section:nth-of-type(even) {
  background-color: #f6f7f9;
}

.container {
  width: min(1440px, 100% - 48px);
  margin-inline: auto;
}

.with-aside {
  display: flex;
  flex-direction: column;
  gap: 32px 64px;
}

.with-aside__aside {
  width: min(512px, 100%);
}

.with-aside + .with-aside {
  margin-block-start: 24px;
}

@media (min-width: 968px) {
  .with-aside {
    flex-direction: row;
    justify-content: space-between;
  }

  section:nth-of-type(even) .with-aside {
    flex-direction: row-reverse;
  }

  .with-aside__main {
    flex: 1;
  }
}

.card {
  border: 1px solid #d7d8dd;
  background-color: #ffffff;
  border-radius: 16px;
  overflow: hidden;
  min-height: 240px;
}

.accordion {
  --color-default: #ffffff;
  --color-open: #f6f7f9;
}

section:nth-of-type(even) .accordion {
  --color-default: #f6f7f9;
  --color-open: #ffffff;
}

.accordion {
  border: 1px solid #d7d8dd;
  background-color: var(--color-default);
  border-radius: 16px;
  overflow: hidden;
}

.accordion details {
  padding: 16px 16px 0;
}

.accordion details:not(:last-child) {
  border-bottom: 1px solid #d7d8dd;
}

.accordion details[open] {
  padding: 16px;
  background-color: var(--color-open);
}

.accordion details[open]:not(:first-child) {
  border-top: 1px solid #d7d8dd;
}

.accordion details[open] summary {
  margin-bottom: 16px;
}

.accordion details + details {
  margin-block-start: -1px;
}

.accordion details[open] {
  pointer-events: none;
}

.accordion summary {
  margin: -16px -16px 0;
  padding: 16px;
  font-family: "Poppins", sans-serif;
  font-size: 18px;
  font-weight: 500;
  line-height: 1.2;
}

.accordion p {
  font-size: 16px;
  line-height: 1.5;
}
